%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%if 0%{?fedora} || 0%{?rhel} >= 6
%global with_docs 1
%else
%global with_docs 0
%endif

%global major 2.6

Name:           tryton
Version:        2.6.1
Release:        6%{?dist}
Summary:        Client for the Tryton application framework

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.tryton.org
Source0:        http://downloads.tryton.org/%{major}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
%if %{with_docs}
BuildRequires:  python-sphinx
%endif
Requires:       pygtk2
Requires:       librsvg2
Requires:       mx
Requires:       pyOpenSSL
Requires:       pytz
Requires:       python-dateutil


%description
This is client for the Tryton application framework. The server can be found
in the trytond package.


%prep
%setup -q


%build
%{__python} setup.py build

%if %{with_docs}
pushd doc
make html
popd
%endif


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{name}.desktop

# prepare icon pixmap
pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf %{name}/%{name}-icon.png %{name}-icon.png
popd

%find_lang %{name}


%files -f %{name}.lang
%doc CHANGELOG COPYRIGHT INSTALL LICENSE README TODO
%if %{with_docs}
%doc doc/_build/html
%endif
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Feb 14 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 2.6.1-2
- Remove vendor tag from desktop file

* Fri Jan 04 2013 Dan Horák <dan@danny.cz> - 2.6.1-1
- new upstream version 2.6.1

* Sat Oct 27 2012 Dan Horák <dan@danny.cz> - 2.6.0-1
- new upstream version 2.6.0

* Wed Sep 05 2012 Dan Horák <dan@danny.cz> - 2.4.1-1
- new upstream version 2.4.1

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 04 2012 Dan Horák <dan@danny.cz> - 2.4.0-1
- new upstream version 2.4.0

* Sun Jan 15 2012 Dan Horák <dan@danny.cz> - 2.2.1-1
- new upstream version 2.2.1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 23 2011 Dan Horák <dan@danny.cz> - 2.0.2-1
- new upstream version 2.0.2

* Mon Jun 06 2011 Dan Horák <dan@danny.cz> - 2.0.1-1
- new upstream version 2.0.1

* Tue May 03 2011 Dan Horák <dan@danny.cz> - 2.0.0-1
- new upstream version 2.0.0

* Mon Feb 21 2011 Dan Horák <dan[at]danny.cz> 1.8.1-1
- update to upstream version 1.8.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 13 2010 Dan Horák <dan[at]danny.cz> 1.8.0-1
- update to upstream version 1.8.0

* Sat Nov 13 2010 Dan Horák <dan[at]danny.cz> 1.6.2-1
- update to upstream version 1.6.2

* Tue Oct 26 2010 Dan Horák <dan[at]danny.cz> 1.6.1-1.1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 27 2010 Dan Horák <dan[at]danny.cz> 1.6.1-1
- update to upstream version 1.6.1

* Thu Jul 22 2010 Dan Horák <dan[at]danny.cz> 1.6.0-3.1
- don't build docs on EL <= 5

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul 15 2010 Dan Horák <dan[at]danny.cz> 1.6.0-2
- build documentation
- add missing R: python-dateutil

* Wed Jul  7 2010 Dan Horák <dan[at]danny.cz> 1.6.0-1
- update to upstream version 1.6.0

* Thu Apr  1 2010 Dan Horák <dan[at]danny.cz> 1.4.3-1
- update to upstream version 1.4.3

* Fri Feb 19 2010 Dan Horák <dan[at]danny.cz> 1.4.2-1
- update to upstream version 1.4.2

* Sat Nov 28 2009 Dan Horák <dan[at]danny.cz> 1.4.1-1
- update to upstream version 1.4.1

* Wed Oct 21 2009 Dan Horák <dan[at]danny.cz> 1.4.0-1
- update to upstream version 1.4.0

* Mon Aug 31 2009 Dan Horák <dan[at]danny.cz> 1.2.2-1
- update to upstream version 1.2.2

* Wed Aug 26 2009 Dan Horák <dan[at]danny.cz> 1.2.1-3
- fixed Source0 URL

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Dan Horák <dan[at]danny.cz> 1.2.1-1
- update to upstream version 1.2.1

* Sat May 23 2009 Dan Horák <dan[at]danny.cz> 1.2.0-1
- update to upstream version 1.2.0
- use upstream desktop file

* Fri Mar  6 2009 Dan Horák <dan[at]danny.cz> 1.0.3-1
- update to upstream version 1.0.3

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan  7 2009 Dan Horák <dan[at]danny.cz> 1.0.2-1
- update to upstream version 1.0.2

* Mon Dec 29 2008 Dan Horák <dan[at]danny.cz> 1.0.1-2
- set vendor for the desktop file
- improve Description

* Mon Dec  1 2008 Dan Horák <dan[at]danny.cz> 1.0.1-1
- update to upstream version 1.0.1

* Fri Nov 28 2008 Dan Horák <dan[at]danny.cz> 1.0.0-1
- initial Fedora version
